Skip to main content
GET
/
sender
/
stats
Get sender stats
curl --request GET \
  --url https://api.paycrest.io/v2/sender/stats \
  --header 'API-Key: <api-key>'
{
  "status": "success",
  "message": "Operation successful",
  "data": {
    "totalOrders": 123,
    "totalOrderVolume": "<string>",
    "totalFeeEarnings": "<string>"
  }
}
Retrieve statistics for the sender.

Authorizations

API-Key
string
header
required

Query Parameters

direction
enum<string>

Filter to onramp (fiat → crypto) or offramp (crypto → fiat). Omit to include both directions.

On stats endpoints, invalid values return 400 Bad Request. On list endpoints, values other than onramp or offramp are ignored (no direction filter).

HMAC (GET): the signed payload includes all query parameters—include direction when you send it (alongside timestamp, currency, etc.).

Available options:
onramp,
offramp

Response

Sender stats

status
string
Example:

"success"

message
string
Example:

"Operation successful"

data
object

The actual response data (e.g., ReceiveAddressResponse, etc.)